.main {
    display: flex;
    flex-direction: column;
    gap: 20px;
}

.category__crumbs {
    color: var(--clr-grey);
    font-size: 14px;
    font-weight: 400;
    line-height: 140%;
}

.category__crumbs span {
    margin: 0 8px;
}

.category__crumb-link {
    color: var(--clr-grey);
}

.category__header {
    padding: 60px 0 22px;
    border-bottom: 1px solid #CFD0D250;
}

.category__title {
    margin: 0;
}

.catalog-page {
    display: flex;
    flex-direction: column;
    gap: 80px;
}

.category__section {
    display: flex;
    align-items: flex-start;
    justify-content: flex-start;
    flex-wrap: wrap;
    gap: 20px;
}

.category__section-item {
    max-width: 345px;
    padding: 20px;

    display: flex;
    flex-direction: column-reverse;
    align-items: center;
    justify-content: center;
    gap: 20px;

    border-radius: 20px;
    background-color: var(--clr-gray);
}

.category__section-header {
    width: 100%;
}

.category__section-link {
    margin: 0;
    color: var(--clr-black);

    font-size: 24px;
    font-style: normal;
    font-weight: 500;
    line-height: 120%;
    letter-spacing: -1px;

    transition: .3s ease-in-out;
}

.category__img-wrap {
    max-width: 305px;
    box-sizing: border-box;
    transition: .3s ease-in-out;
}

.category__section-img {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.category__section-item:hover .category__img-wrap {
    transform: scale(1.1);
}

.category__section-item:hover .category__section-link {
    color: var(--clr-blue);
}

.category__offers-list {
    display: grid;
    grid-template-columns: repeat(4, 1fr);
    gap: 20px;
    row-gap: 40px;
}

.category__offers-content {
    width: 100%;
}

.category__offers-title {
    margin: 0;
    color: var(--clr-black);

    font-size: 24px;
    font-style: normal;
    font-weight: 500;
    line-height: 120%;
    letter-spacing: -1px;

    transition: .3s ease-in-out;
}

.category__section-item:hover .category__offers-title {
    color: var(--clr-blue);
}

@media screen and (max-width: 1440px) {

    .category__section {
        display: grid;
        grid-template-columns: repeat(2, 1fr);
        gap: 20px;
    }
    
    .category__offers-list {
        display: grid;
        grid-template-columns: repeat(2, 1fr);
        gap: 20px;
    }

    .category__section-item {
        max-width: 100%;
    }

}

@media screen and (max-width: 430px) {

    .category__section {
        gap: 12px;
    }

    .category__offers-list {
        gap: 12px;
    }

    .category__offers-title {
        font-size: 14px;
    }

    .category__section-link {
        font-size: 14px;
    }

    .category__img-wrap {
        width: 100%;
        max-height: 128px;
    }

    .category__img {
        height: 100% !important;
    }

}

